Package org.pushingpixels.lafwidget

# Class LafWidgetRepository.LafWidgetClassInfo

java.lang.Object
org.pushingpixels.lafwidget.LafWidgetRepository.LafWidgetClassInfo

Enclosing class:
  `LafWidgetRepository`

protected static class LafWidgetRepository.LafWidgetClassInfo extends Object
Information on a single class.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`className`
Class name.
`boolean`
`isExact`
Indicates whether the matching should be exact.

## Constructor Summary

Constructors
Constructor
Description
`LafWidgetClassInfo(String className, boolean isExact)`
Creates a new info object.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### className

public String className
Class name.

### isExact

public boolean isExact
Indicates whether the matching should be exact.

## Constructor Details

### LafWidgetClassInfo

public LafWidgetClassInfo(String className, boolean isExact)
Creates a new info object.

Parameters:
  `className` - Class name.
  `isExact` - Indicates whether the matching should be exact.